Skip to main content
GET
/
api
/
public
/
v2
/
inventory
/
list-by
/
tour
cURL
curl --location 'https://www.headout.com/api/public/v2/inventory/list-by/tour?tourId=52850&startDateTime=2025-07-25T00%3A00&endDateTime=2025-07-27T00%3A00&currencyCode=EUR&offset=0&limit=1' \
--header 'Headout-Auth: <YOUR_API_KEY>'
{
  "items": [
    {
      "id": "<string>",
      "startDateTime": "2023-11-07T05:31:56Z",
      "endDateTime": "2023-11-07T05:31:56Z",
      "availability": "LIMITED",
      "remaining": 123,
      "pricing": {
        "persons": [
          {
            "type": "<string>",
            "name": "<string>",
            "description": "<string>",
            "ageFrom": 123,
            "ageTo": 123,
            "price": 123,
            "originalPrice": 123,
            "netPrice": 123,
            "headoutSellingPrice": 123,
            "remaining": 123,
            "availability": "LIMITED",
            "paxRange": {
              "min": 123,
              "max": 123
            }
          }
        ],
        "groups": [
          {
            "size": 123,
            "description": "<string>",
            "price": 123,
            "originalPrice": 123,
            "netPrice": 123,
            "headoutSellingPrice": 123,
            "remaining": 123,
            "availability": "LIMITED"
          }
        ]
      }
    }
  ],
  "nextUrl": "<string>",
  "prevUrl": "<string>",
  "total": 123,
  "nextOffset": 123
}

Authorizations

Headout-Auth
string
header
required

Query Parameters

tourId
string
required

Unique identifier of the tour/product variant to fetch inventory for. Obtain this from the product variants in the Products API response.

startDateTime
string<date-time>
required

Beginning of the date range to fetch available slots (URL encoded). Example: 2025-07-25T00:00. See ISO 8601.

endDateTime
string<date-time>
required

End of the date range to fetch available slots (URL encoded). Maximum range varies by product. See ISO 8601.

currencyCode
string

Currency code for displaying prices (e.g., USD, EUR, GBP). All price fields in the response will use this currency. See Currency Codes.

offset
string

Number of records to skip for pagination. Use with limit to paginate through large result sets. Start at 0 for the first page.

limit
integer

Maximum number of records to return per request. Use with offset to paginate through results. Check nextOffset in response for more pages.

Response

200 - application/json

Successful response

items
object[]

The inventory slots in this page of results.

nextUrl
string | null

Full URL to fetch the next page of results. Null if on the last page.

prevUrl
string | null

Full URL to fetch the previous page of results. Null if on the first page.

total
integer

Total number of available inventory slots across all pages.

nextOffset
integer

Offset value to use in the next request to retrieve the following page.